# Saved Reports

Saved Reports

 - [POST /savedReports/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/createsavedreport.md): This method will auto-generate an ID and create a new saved report. If an ID is specified for the saved report, an error will be thrown.
 - [GET /savedReports/{tenantId}/app/{app}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/listreportsbyapp.md): Returns a list of records with the specified app
 - [POST /savedReports/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /savedReports/{tenantId}/report/{report_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/listreportsbyreportid.md): Returns a list of records with the specified report_id
 - [DELETE /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/deletesavedreport.md): This method will delete a saved report with the specified ID.
 - [GET /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/getsavedreport.md): This method will look up a saved report by the specified ID and return it back.
 - [PATCH /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/patchsavedreport.md): This method will patch an existing saved report with the specified ID, using the HTTP PATCH specification.
 - [PUT /savedReports/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-reports/updatesavedreport.md): This method will update an existing saved report with the specified ID.
